Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
NameEntry Struct Reference

## Data Fields
UChar * | name
size_t | name_len
int | back_num
int | back_alloc
int | back_ref1
int * | back_refs

## Detailed Description

Definition at line 453 of file regparse.c.

## Field Documentation

## ◆ back_alloc

int NameEntry::back_alloc

Definition at line 457 of file regparse.c.

## ◆ back_num

int NameEntry::back_num

Definition at line 456 of file regparse.c.

## ◆ back_ref1

int NameEntry::back_ref1

Definition at line 458 of file regparse.c.

## ◆ back_refs

int* NameEntry::back_refs

Definition at line 459 of file regparse.c.

## ◆ name

UChar* NameEntry::name

Definition at line 454 of file regparse.c.

## ◆ name_len

size_t NameEntry::name_len

Definition at line 455 of file regparse.c.

The documentation for this struct was generated from the following file:

- regparse.c